Index: trunk/SRC/ToBeReviewed/CALCULS/curl.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/curl.pro	(revision 159)
+++ trunk/SRC/ToBeReviewed/CALCULS/curl.pro	(revision 163)
@@ -23,6 +23,6 @@
 ;
 ; @restrictions
-; U and V matrixes can be 2 or 4d.
-; Beware, to discern differents configuration of U and V (xy, xyz, xyt, xyzt), 
+; U and V matrices can be 2 or 4d.
+; Beware, to discern different configuration of U and V (xy, xyz, xyt, xyzt), 
 ; we look at the variable of the common 
 ;        -time which contain the calendar in IDL julian days to which U and 
@@ -30,8 +30,8 @@
 ;        -jpt which is the number of time's step to consider in time.
 ; U and V arrays ae cut in the same geographic domain. Because of the gap of 
-; T, U, V and F grids, it is possible that these two arrays hase not the same 
-; size and refered to different indexes. In this case, arrays are recut on 
-; common indexesand the domain is redifined to match with these common 
-; indexes. To avoid these recuts, use the keyword /memeindice in domdef.pro
+; T, U, V and F grids, it is possible that these two arrays has not the same 
+; size and refered to different indexes. In this case, arrays are re-cut on 
+; common indexes and the domain is redefined to match with these common 
+; indexes. To avoid these re-cuts, use the keyword /memeindice in domdef.pro
 ;
 ;
@@ -41,9 +41,7 @@
 ; Guillaume Roullet (grlod\@ipsl.jussieu.fr)
 ; 
-;                      Sebastien Masson (smasson\@lodyc.jussieu.fr)
-;                      adaptation pour marcher avec un domaine reduit
-;
-;                      21/5/1999: missing values at !values.f_nan
-;periodicite 
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; adaptation to work with a reduce domain
+; 21/5/1999: missing values at !values.f_nan
 ; 
 ; @version
Index: trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro	(revision 159)
+++ trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro	(revision 163)
@@ -12,5 +12,5 @@
 ;
 ; @param TAB {in}{required}
-; 2d depth array (or a structure respecting litchamp criterions)
+; 2d depth array (or a structure respecting litchamp criterion)
 ;
 ; @keyword NOMASK
Index: trunk/SRC/ToBeReviewed/CALCULS/depth2level.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/depth2level.pro	(revision 159)
+++ trunk/SRC/ToBeReviewed/CALCULS/depth2level.pro	(revision 163)
@@ -10,5 +10,5 @@
 ; Without loop
 ;
-; @param TAB 
+; @param TAB {type=2d array}
 ; 2d depth array (or a structure respecting litchamp critrions)
 ;
@@ -32,5 +32,5 @@
 ;
 ; @restrictions 
-; For depthes out of gdep's values, the value !values.f_nan is sent back.
+; For depths out of gdep's values, the value !values.f_nan is sent back.
 ; if the depth is superior to this one of the bottom, we send back jpk-1 in 
 ; the upper case, and !values.f_nan in the lower case.
Index: trunk/SRC/ToBeReviewed/CALCULS/depth2mask.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/depth2mask.pro	(revision 159)
+++ trunk/SRC/ToBeReviewed/CALCULS/depth2mask.pro	(revision 163)
@@ -11,5 +11,5 @@
 ; Without loop
 ;
-; @param TAB 
+; @param TAB {type=3d array}
 ; 2d sill depth array (or a structure respecting litchamp critrions)
 ;
@@ -19,5 +19,4 @@
 ; @returns
 ; It is a 3d array containing the mas associated to the 2d sill depth array
-; profondeurs seuil
 ;
 ; @uses
Index: trunk/SRC/ToBeReviewed/CALCULS/determ3.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/determ3.pro	(revision 159)
+++ trunk/SRC/ToBeReviewed/CALCULS/determ3.pro	(revision 163)
@@ -50,5 +50,5 @@
 ;
 ; @returns 
-; n elements array, the determinent of each 3*3 arrrays
+; n elements array, the determinant of each 3*3 arrays
 ;
 ; @examples
Index: trunk/SRC/ToBeReviewed/CALCULS/div.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/div.pro	(revision 159)
+++ trunk/SRC/ToBeReviewed/CALCULS/div.pro	(revision 163)
@@ -23,15 +23,15 @@
 ;
 ; @restrictions
-; U and V matrixes can be 2 or 4d.
-; Beware, to discern differents configuration of U and V (xy, xyz, xyt, xyzt), 
+; U and V matrices can be 2 or 4d.
+; Beware, to discern different configuration of U and V (xy, xyz, xyt, xyzt), 
 ; we look at the variable of the common 
 ;        -time which contain the calendar in IDL julian days to which U and 
 ; V refered to, in the same way as the variable 
 ;        -jpt which is the number of time's step to consider in time.
-; U and V arrays ae cut in the same geographic domain. Because of the gap of 
-; T, U, V and F grids, it is possible that these two arrays hase not the same 
-; size and refered to different indexes. In this case, arrays are recut on 
-; common indexesand the domain is redifined to match with these common 
-; indexes. To avoid these recuts, use the keyword /memeindice in domdef.pro
+; U and V arrays are cut in the same geographic domain. Because of the gap of 
+; T, U, V and F grids, it is possible that these two arrays has not the same 
+; size and refered to different indexes. In this case, arrays are re-cut on 
+; common indexes and the domain is redefined to match with these common 
+; indexes. To avoid these re-cuts, use the keyword /memeindice in domdef.pro
 ;
 ;
@@ -43,5 +43,5 @@
 ;                      Creation : printemps 1998
 ;                      Sebastien Masson (smasson\@lodyc.jussieu.fr)
-;                      adaptation pour marcher avec un domaine reduit
+;                      adaptation to work with a reduce domain
 ;                      12/1/2000;
 ;
Index: trunk/SRC/ToBeReviewed/CALCULS/floatlevel2depth.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/floatlevel2depth.pro	(revision 159)
+++ trunk/SRC/ToBeReviewed/CALCULS/floatlevel2depth.pro	(revision 163)
@@ -5,5 +5,5 @@
 ;
 ; @file_comments 
-; Rather comparable to level2depth. It is the invert funcion of depth2floatlevel
+; Rather comparable to level2depth. It is the invert function of depth2floatlevel
 ;
 ; @categories
Index: trunk/SRC/ToBeReviewed/CALCULS/fsfzpt.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/fsfzpt.pro	(revision 159)
+++ trunk/SRC/ToBeReviewed/CALCULS/fsfzpt.pro	(revision 163)
@@ -1,4 +1,33 @@
-
 ;+
+; @file_comments
+;
+;
+; @categories
+;
+;
+; @param PFS
+;
+;
+; @param PFP
+;
+;
+; @returns
+;
+;
+; @uses
+;
+;
+; @restrictions
+;
+;
+; @examples
+;
+;
+; @history
+;
+;
+; @version
+; $Id$
+;
 ; Ice freezing point
 ; ==================
Index: trunk/SRC/ToBeReviewed/CALCULS/grad.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/grad.pro	(revision 159)
+++ trunk/SRC/ToBeReviewed/CALCULS/grad.pro	(revision 163)
@@ -3,31 +3,36 @@
 ;------------------------------------------------------------
 ;+
-; NAME:
-;
-; PURPOSE:
-;
-; CATEGORY:
-;
-; CALLING SEQUENCE:
-; 
-; INPUTS:
-;
-; KEYWORD PARAMETERS:
-;
-; OUTPUTS:
-;
-; COMMON BLOCKS:common.pro
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson\@lodyc.jussieu.fr)
-;
-; @todo seb: remplir les truc!
-;
-;
+; @file_comments
+;
+;
+; @categories
+;
+;
+; @param FIELD
+;
+;
+; @param DIREC
+;
+;
+; @returns
+;
+;
+; @uses
+;
+;
+; @restrictions
+;
+;
+; @examples
+;
+;
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
+;
+; @version
+; $Id$
+;
+; @todo 
+; seb: remplir les truc!
 ;-
 ;------------------------------------------------------------
Index: trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro	(revision 159)
+++ trunk/SRC/ToBeReviewed/CALCULS/grossemoyenne.pro	(revision 163)
@@ -5,5 +5,5 @@
 ;
 ; @file_comments  
-; averages a 3- or 4-d time serie field over a selected
+; averages a 3- or 4-d time series field over a selected
 ; geographical area or along the time axis. For one ore more
 ; selected axes (x, y, z, t)
@@ -55,5 +55,5 @@
 ; 
 ; @keyword WDEPTH 
-; to specify that the field is at W depth instad of T 
+; to specify that the field is at W depth instead of T 
 ; depth (automatically activated if vargrid eq 'W') 
 ;
@@ -72,5 +72,5 @@
 ;                       14/8/98
 ;                       15/1/98
-;                       12/3/99 adaptation for NAN and utilisation of TEMPORARY
+;                       12/3/99 adaptation for NAN and utilization of TEMPORARY
 ;
 ; @version
Index: trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro	(revision 159)
+++ trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro	(revision 163)
@@ -19,7 +19,7 @@
 ; array representing the temperature.Has the same size than SN
 ;
-; @keyword GILL We activate this key if we want to calculate the dinamic height 
+; @keyword GILL We activate this key if we want to calculate the dynamic height 
 ; like in the GILL page 215, which means by rapport to a reference state which 
-; vary in depth and which is determinated by a reference temperature tref at 0°C 
+; vary in depth and which is determined by a reference temperature tref at 0°C 
 ; and a reference salinity sref at 35psu
 ;
@@ -37,12 +37,11 @@
 ; 
 ; @keyword PROFREF
-; Give a depth to this keyword which will be considerated as the refeence depth 
+; Give a depth to this keyword which will be considered as the reference depth 
 ; (in this case, LEVEL has not any effect). the calculation will be effectuated 
 ; until this depth effecting an interpolation between the the last W level above 
 ; PROFREF and PROFREF.
 ;
-; @keyword SURFACE_LEVEL 
-; It is the level where we wan to calculate the dynamic height. By default, it is 
-; the level 0.
+; @keyword SURFACE_LEVEL {default=0}
+; It is the level where we wan to calculate the dynamic height.
 ;
 ; @returns
Index: trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro	(revision 159)
+++ trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro	(revision 163)
@@ -11,5 +11,5 @@
 ; Without loop
 ;
-; @param TAB {in}{required}
+; @param TAB {in}{required}{type=2d array}
 ; 2d level array of sill levels (or a structure respecting litchamp criterions)
 ;
@@ -18,5 +18,5 @@
 ;
 ; @returns 
-; 2d array containing depthes
+; 2d array containing depths
 ;
 ; @uses
Index: trunk/SRC/ToBeReviewed/CALCULS/level2index.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/level2index.pro	(revision 159)
+++ trunk/SRC/ToBeReviewed/CALCULS/level2index.pro	(revision 163)
@@ -14,5 +14,5 @@
 ; Without loop
 ;
-; @param LEVEL {in}{required}
+; @param LEVEL {in}{required}{type=2d array}
 ; A 2d level array
 ;
Index: trunk/SRC/ToBeReviewed/CALCULS/level2mask.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/level2mask.pro	(revision 159)
+++ trunk/SRC/ToBeReviewed/CALCULS/level2mask.pro	(revision 163)
@@ -11,5 +11,5 @@
 ; Without loop
 ;
-; @param TAB {in}{required}
+; @param TAB {in}{required}{type=2d array}
 ; 2d level array of sill level (or a structure respecting litchamp criterions)
 ;
Index: trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro	(revision 159)
+++ trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro	(revision 163)
@@ -11,5 +11,5 @@
 ; @categories
 ;
-; @param	TAB {in}{required}
+; @param TAB {in}{required}
 ; 2 or 3d field
 ;
@@ -20,13 +20,16 @@
 ; [xmin,xmax,ymin,ymax (,(zmin,)zmax)] to more details, see domdef
 ; boxzoom can have 5 forms: 
-; [vert2], [vert1, vert2],[lon1, lon2, lat1, lat2],  
-; [lon1, lon2, lat1, lat2, vert2],[lon1, lon2, lat1, lat2, vert1,vert2]
+;  [vert2],
+;  [vert1, vert2],
+;  [lon1, lon2, lat1, lat2],  
+;  [lon1, lon2, lat1, lat2, vert2],
+;  [lon1, lon2, lat1, lat2, vert1,vert2]
 ;
 ; @keyword NAN 
 ; not a number, we activate it if we want to average without considerate some masked values of TAB.
-; If masked values of TAB are values consecrated by IDL(!values.f_nan), wr just have to put NAN.
+; If masked values of TAB are values consecrated by IDL(!values.f_nan), we just have to put NAN.
 ; If masked values of TAB are valued a (a must be different of 1, corresponding to nan =
 ; !values.f_nan and of 0, which desactivate nan). We have to put NAN=a. 
-; Comment: In output, rsult points which are NAN will be valued a or !values.f_nan.
+; Comment: In output, result points which are NAN will be valued a or !values.f_nan.
 ;            
 ; @keyword NODOMDEF
@@ -38,5 +41,5 @@
 ; 
 ; @keyword WDEPTH 
-; to specify that the field is at W depth instad of T 
+; to specify that the field is at W depth instead of T 
 ; depth (automatically activated if vargrid eq 'W') 
 ;            
Index: trunk/SRC/ToBeReviewed/CALCULS/norme.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/norme.pro	(revision 159)
+++ trunk/SRC/ToBeReviewed/CALCULS/norme.pro	(revision 163)
@@ -5,11 +5,11 @@
 ;
 ; @file_comments 
-; calculate the norme of a field of vectors, then make a possible average.
+; calculate the norm of a field of vectors, then make a possible average.
 ;   Comment 1: The field of vector can be, 2d:xy, 3d: xyz or xyt,
 ; 4d: xyzt
 ;   Comment 2:
-; The calculation of the norme is made before the possible spatial or 
-; temporal average because the average of the norme is not equal to the 
-; norme of averages
+; The calculation of the norm is made before the possible spatial or 
+; temporal average because the average of the norm is not equal to the 
+; norm of averages
 
 ;
@@ -38,5 +38,5 @@
 ;
 ; @restrictions 
-; The norme is calculated on points TTo do this calculation, we average 
+; The norm is calculated on points TTo do this calculation, we average 
 ; field U and Von points T before calculate the norme. At the edge of 
 ; coast and of domain, we can not calculate fields U and V at points T, 
Index: trunk/SRC/ToBeReviewed/CALCULS/projectondepth.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/projectondepth.pro	(revision 159)
+++ trunk/SRC/ToBeReviewed/CALCULS/projectondepth.pro	(revision 163)
@@ -10,12 +10,12 @@
 ; Without loop
 ;
-; @param ARRAYIN 
+; @param ARRAYIN {type=3d array}
 ; It is a 3d array whose 3rd dimension must be equal to jpk
 ; 
-; @param DEPTHIN 
+; @param DEPTHIN {type=2d array}
 ; It is a 2d array indicating for each point n, at which depth to project
 ;       
 ; @returns
-; A 2d array which is the projection of the 3d array following depthes indicated by depthin
+; A 2d array which is the projection of the 3d array following depths indicated by depthin
 ;
 ; @uses
@@ -26,7 +26,7 @@
 ;
 ; @examples
-; we build a possible depthes array
+; we build a possible depths array
 ;   IDL> a=gdept[jpk-1]/(1.*jpi*jpj)*findgen(jpi,jpj)
-; We build an array to project on these depthes. For the test,
+; We build an array to project on these depths. For the test,
 ; we build a 3d array whose each vector following z is the depth. 
 ;   IDL> arraytest=replicate(1,jpi*jpj)#gdept
Index: trunk/SRC/ToBeReviewed/CALCULS/remplit.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/remplit.pro	(revision 159)
+++ trunk/SRC/ToBeReviewed/CALCULS/remplit.pro	(revision 163)
@@ -1,3 +1,54 @@
 ;+
+; @file_comments
+;
+;
+; @categories
+;
+;
+; @param ZINPUT
+;
+;
+; @keyword NAN
+;
+;
+; @keyword NITER
+;
+;
+; @keyword BASIQUE
+;
+;
+; @keyword MASK
+;
+;
+; @keyword FILLXDIR
+; 
+;
+; @keyword FILLYDIR
+;
+;
+; @keyword FILLVAL
+;
+;
+; @keyword _EXTRA
+; Used to pass your keywords
+;
+; @returns
+;
+;
+; @uses
+;
+;
+; @restrictions
+;
+;
+; @examples
+;
+;
+; @history
+;
+;
+; @version
+; $Id$
+;
   ;;
   ;; Extrapole zinout[jpi,jpj] sur les continents en utilisant les 4
Index: trunk/SRC/ToBeReviewed/CALCULS/rhon.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/rhon.pro	(revision 159)
+++ trunk/SRC/ToBeReviewed/CALCULS/rhon.pro	(revision 163)
@@ -1,3 +1,39 @@
 ;+
+; @file_comments
+;
+;
+; @categories
+;
+;
+; @param SN
+;
+;
+; @param TN
+;
+;
+; @keyword INSITU
+;
+;
+; @keyword SIGMA_N
+;
+;
+; @returns
+;
+;
+; @uses
+;
+;
+; @restrictions
+;
+;
+; @examples
+;
+;
+; @history
+;
+;
+; @version
+; $Id$
+;
    ;;
    ;; Calcul de la fonction d'etat (issue de eos.F)
